Application: gvSIG desktop - gvSIG bugs #2302
gvSIG freezes after some actions using OSGeo Live DVD (Linux + JRE 7)
02/06/2014 05:33 PM - Juan Lucas Dominguez

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category:

Target version: 2.1.0-2221-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2218 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Reported by jsanz:

See attachment here: #1633

I've tested gvSIG 2.1 on the latest build of the OSGeo Live DVD (beta of 7.9 release) both on VirtualBox and as an stand alone DVD
and the error is still there. I've been able to reproduce the error several times with this script of actions

create a view and add some layers

create a map layout and add the vie

add a legend

entre on the legend properties and change the font

gvSIG becomes unresponsive

| attach an archive with the environment file and the gvSIG log at the moment it's frozen.

History

#1 - 02/06/2014 05:54 PM - Juan Lucas Dominguez
- gvSIG build set to 2218

#2 - 02/11/2014 05:02 PM - Juan Lucas Dominguez

- Status changed from New to Awaiting response

This issue happened with Linux + opendDK 7.

It would be interesting to test this on Linux + Oracle JRE 7 to see if it happens.

#3 - 02/12/2014 12:12 AM - Manuel Madrid

Tested with OSGeo-Live 7.0 + gvSIG 2.1_2218 + Oracle Java 7

It happens just after adding a layer in a view.

| also tested it with Oracle Java 6.2 and it works fine even following the steps provided by Jorge.
Manuel.

#4 - 02/17/2014 09:28 AM - Juan Lucas Dominguez

| cannot reproduce this problem on Windows 7 + Oracle JRE 1.7.0_45.

#5 - 02/17/2014 12:16 PM - Alvaro Anguix

Yo me he descargado el Live 7 y he estado un buen rato probando con gvSIG y tampoco me ocurre el error.

Me da la impresion que pueda tener algo que ver con las caracteristicas del ordenador, tipo drivers de tarjeta gréafica o similar, o de la version de Linux
que estén usando.

No creo que sea un problema de gvSIG.

#6 - 02/17/2014 12:34 PM - Juan Lucas Dominguez

Ok, también podria ser por el tema que tengan instalado en Linux o el gestor de ventanas. Hay mensajes en los foros hablando de problemas con

Linux + Java 1.7. Esta web por ejemplo habla de la variable de sistema "_JAVA_AWT_WM_NONREPARENTING" pero tampoco lo he mirado mucho:

http://awesome.naquadah.org/wiki/Problems with Java

#7 - 02/17/2014 08:40 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#8 - 02/20/2014 11:12 AM - Alvaro Anguix

- Status changed from Awaiting response to Won't fix

Definitivamente esto no parece ser un error de gvSIG, por lo que desde la aplicacion poco podemos hacer.
